Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.providers.authorization
Interface DefaultAdjudicatorMBean

public interface DefaultAdjudicatorMBean
extends weblogic.management.commo.StandardInterface, AdjudicatorMBean

This MBean defines configuration attributes for the WebLogic Adjudication provider.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getDescription()` A short description of the WebLogic Adjudication provider.
`java.lang.String` | `getProviderClassName()` The name of the Java class used to load the WebLogic Adjudication provider.
`java.lang.String` | `getVersion()` The version number of the WebLogic Adjudication provider.
`boolean` | `isRequireUnanimousPermit()` Requires all authorization providers to vote PERMIT in order for the adjudication provider to vote PERMIT.
`void` | `setRequireUnanimousPermit(boolean newValue)` Requires all authorization providers to vote PERMIT in order for the adjudication provider to vote PERMIT.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The name of the Java class used to load the WebLogic Adjudication provider.

  Default Value: "weblogic.security.providers.authorization.DefaultAdjudicationProviderImpl"
  Legal NULL: true

### getDescription

    public java.lang.String getDescription()

  A short description of the WebLogic Adjudication provider.

  Default Value: "Weblogic Adjudication Provider"
  Legal NULL: true

### getVersion

    public java.lang.String getVersion()

  The version number of the WebLogic Adjudication provider.

  Default Value: "1.0"
  Legal NULL: true

### isRequireUnanimousPermit

    public boolean isRequireUnanimousPermit()

  Requires all authorization providers to vote PERMIT in order for the adjudication provider to vote PERMIT. If the attribute is set to disabled, ABSTAIN votes are ignored.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true

### setRequireUnanimousPermit

    public void setRequireUnanimousPermit(boolean newValue)
                                   throws javax.management.InvalidAttributeValueException

  Requires all authorization providers to vote PERMIT in order for the adjudication provider to vote PERMIT. If the attribute is set to disabled, ABSTAIN votes are ignored.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute RequireUnanimousPermit
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD